Email::LocalDelivery(3pm)

NAME
Email::LocalDelivery - Deliver a piece of email - simply

VERSION
version 1.201

SYNOPSIS
  use Email::LocalDelivery;
  my @delivered_to = Email::LocalDelivery->deliver($mail, @boxes);

DESCRIPTION
This module delivers an email to a list of mailboxes.

Achtung! You might be better off looking at Email::Sender, and at Email::Sender::Transport::Maildir and Email::Sender::Transport::Mbox. They are heavily used and more carefully monitored.

PERL VERSION
This code is effectively abandonware. Although releases will sometimes be made to update contact info or to fix packaging flaws, bug reports will mostly be ignored. Feature requests are even more likely to be ignored. (If someone takes up maintenance of this code, they will presumably remove this notice.) This means that whatever version of perl is currently required is unlikely to change -- but also that it might change at any new maintainer's whim.

METHODS

  deliver
This takes an email, as a plain string, and a list of mailboxes to deliver that mail to. It returns the list of boxes actually written to. If no boxes are given, it assumes the standard Unix mailbox. (Either $ENV{MAIL}, /var/spool/mail/you, /var/mail/you, or ~you/Maildir/)

AUTHORS

•   Simon Cozens

•   Casey West <casey@geeknest.com>

•   Ricardo Signes <rjbs@semiotic.systems>

CONTRIBUTOR
William Yardley <pep@veggiechinese.net>

COPYRIGHT AND LICENSE
This software is copyright (c) 2003 by Simon Cozens.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.